<?php
require_once(LIB_PATH . 'Dashboard.inc'); 
require_once(CORE_PATH . 'prefs.inc'); 
require_once(CORE_PATH . 'common.inc'); 
function x_25($x_16f = 'html', $x_16g = 0, $x_3k = Array()) { 
global $x_33; 
$x_z = new x_10(); 
$x_1 = kerio("webiface::PhpSession"); 
$x_1->getCsrf(&$x_s); 
$x_16q = array( 
'disconnected', 
'connected', 
'connecting', 
'disconnecting', 
'uknown', 
'doConnect', 
'doDisconnect', 
'noLines', 
'noRights', 
'noServer', 
'badResponse', 
'dialError', 
'hangError', 
'timeout', 
); 
$x_16r = array(); 
$x_16s = 'x_14u'; 
foreach ($x_16q as $x_j7) { 
$x_16r[] = '	<input type="hidden" name="'.$x_16s.$x_j7.'" value="<kerio:text id="dialup_'.$x_j7.'" />">'; 
} 
$x_16r = implode("\n", $x_16r); 
$x_7d = <<<RAS_TABLE
<div id="rasMessage" class="noData"><kerio:text id="loadingData" />...</div>
<table id="ras" class="hide">
<thead>
<tr>
<th class="C1"><kerio:text id="dialup_name" /></th>
<th class="C2"><kerio:text id="dialup_status" /></th>
<th class="C3"><kerio:text id="dialup_action" /></th>
<th class="C4"><kerio:text id="dialup_time" /></th>
<th class="C5"><kerio:text id="dialup_bytesIn" /></th>
<th class="C6"><kerio:text id="dialup_bytesOut" /></th>
</tr>
</thead>
<tbody id="rasList">
<tr>
<td colspan="6"><kerio:text id="loadingData" /></td>
</tr>
</tbody>
<tfoot>
<tr>
<td colspan="6">
<span class="dorefresh"><kerio:text id="dialup_refresh_info" /></span>
</td>
</tr>
</tfoot>
</table>
<form id="rasDefaults" target="x_2g">
<input type="hidden" name="x_u" value="{$x_s}">
<input type="hidden" name="{$x_16s}pleaseWait" value="<kerio:text id="pleaseWait" />">
{$x_16r}
</form>
<iframe id="dialupUpdate" src="ras.php"></iframe>
RAS_TABLE;
$x_e2 = array(1 => array( 
'x_1w' => Array( 'title' => '<kerio:text id="lang_dialup_caption" />', 
'icon' => 'phone.gif', 
'data' => $x_7d), 
), 
); 
if ('html' == $x_16f) { 
$x_z->x_dv('L5'); 
foreach ($x_e2 as $x_kv => $x_7d) { 
$x_z->x_e0($x_kv, $x_7d); 
} 
$x_16k = $x_z->x_eb('dialup') . $x_z->x_1u(); 
return $x_16k; 
} elseif('xml' == $x_16f) { 
$x_z->x_dv('L5'); 
$x_z->x_e0($x_16g, $x_e2[$x_16g]); 
return $x_z->x_e6($x_16g); 
} 
} 
?>
